package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.MatterDatumFileVo;
/**
 * 材料附件实体对象
 *
 * @author zxfei
 * @date 2022-01-17
 */

public class MatterDatumFileEntity extends MatterDatumFileVo {
    private static final long serialVersionUID = 1L;

    /**
     * 材料id
     */
    private Long datumId;
    /**
     * 附件名称
     */
    private String fileName;
    /**
     * 附件下载地址
     */
    private String fileUrl;
    /**
     * 附件类型 (1.示例样表，2.空白表格)
     */
    private Integer filetype;
    /**
     * 附件来源 (0.政务网，1.自定义)
     */
    private Integer source;
    /**
     * 材料名
     */
    private String materialName;



    public MatterDatumFileEntity(){}
    /**
     * 获取 材料id
     * @return Long
     */
    public Long getDatumId(){
        return datumId;
    }
    /**
     * 设置 材料id
     * @param datumId
     */
    public void setDatumId(Long datumId){
        this.datumId = datumId;
    }
    /**
     * 获取 附件名称
     * @return String
     */
    public String getFileName(){
        return fileName;
    }
    /**
     * 设置 附件名称
     * @param fileName
     */
    public void setFileName(String fileName){
        this.fileName = fileName;
    }
    /**
     * 获取 附件下载地址
     * @return String
     */
    public String getFileUrl(){
        return fileUrl;
    }
    /**
     * 设置 附件下载地址
     * @param fileUrl
     */
    public void setFileUrl(String fileUrl){
        this.fileUrl = fileUrl;
    }
    /**
     * 获取 附件类型 (1.示例样表，2.空白表格)
     * @return Integer
     */
    public Integer getFiletype(){
        return filetype;
    }
    /**
     * 设置 附件类型 (1.示例样表，2.空白表格)
     * @param filetype
     */
    public void setFiletype(Integer filetype){
        this.filetype = filetype;
    }
    /**
     * 获取 附件来源 (0.政务网，1.自定义)
     * @return Integer
     */
    public Integer getSource(){
        return source;
    }
    /**
     * 设置 附件来源 (0.政务网，1.自定义)
     * @param source
     */
    public void setSource(Integer source){
        this.source = source;
    }
    /**
     * 获取 材料名
     * @return String
     */
    public String getMaterialName(){
        return materialName;
    }
    /**
     * 设置 材料名
     * @param materialName
     */
    public void setMaterialName(String materialName){
        this.materialName = materialName;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterDatumFileEntity) {
            MatterDatumFileEntity tmp = (MatterDatumFileEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",datumId:").append(getDatumId());
        sb.append(",fileName:").append(getFileName());
        sb.append(",fileUrl:").append(getFileUrl());
        sb.append(",filetype:").append(getFiletype());
        sb.append(",source:").append(getSource());
        sb.append(",materialName:").append(getMaterialName());
        return sb.toString();
    }

    public void initAttrValue(){

        this.datumId = null;

        this.fileName = null;

        this.fileUrl = null;

        this.filetype = 1;

        this.source = 1;

        this.materialName = "";
    }
}